Subject: WinZip vs. Tar (Was Re: WinZip [Re: Egcs 1.1 having trouble with 'typename'?])
From: [email-masked] (Paul Garceau)

25 Sep 1998 09:14:22 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Hi folks,

On 23 Sep 98, at 15:15, the Illustrious Mumit Khan wrote:

Date sent:      	Wed, 23 Sep 1998 15:15:46 -0500 (CDT)
From:           	Mumit Khan <[email-masked]>
To:             	[email-masked]
Subject:        	WinZip [Re: Egcs 1.1 having trouble with 'typename'?]

> On 22 Sep 1998, Michael Hirmke wrote:
> 
> > Hi Michael,
> > 
> > [...]
> > >>Winzip by default also handles .gz und .tgz files - so if one isn't
> > >>aware, that he better should use tar und gzip and only double clicks
> > >>your archive, ...
> > >Mhmm, didn't Mumit mean that?
> > 
> > He said:
> > "I distribute .tar.gz, instead of .zip, to avoid such issues" ???
> > 
> > Which issues, when WinZIP can deal with .tar.gz ?
> > 
> 
> Let's end this discussion please. 

	Agreed.

> I have neither the time nor inclination to figure out what various WinZip
> options, or the correct version number, to do the right thing for .tar.gz
> archive with hard- and sym-links in them.

	Nor should you need to Mumit, as it is _not_ (imho) your responsibility 
given how much you are involved with EGCS.

	So, for those who are curious, WinZip can _not_ handle any sort of 
symbolic linking whatsoever, period.  Of course, if it were run in a Unix shell, 
it might be able to...

	Let's face it, folks; WinZip is defined/designed for MS Windows platforms 
and not for anything else.  

	The fact that WinZip is capable of handling .tar and .tgz is nothing more 
than a convenience that was added by NicoMac computing for those who 
haven't a clue about the differences between .tar, .tgz, .gzip, .zip or tar.gz 
type files.  Of course, it is _convenient_ for non-Unix aware users...

	For the record --

		You can _not_ integrate Unix sym_links with NT links or any other 
MS proprietary OS without some very special precautions taken beforehand, 
such as making available a _working_ Unix shell (Cygwin32/EGCS) or 
defining a program of some sort that can understand and/or translate a Unix 
sym_link to something that any MS platform can understand (The Alpha 
NTOS is the only exception I can think of).  An MS .lnk file is _not_ a Unix 
sym_link, feel free to check the MS documentation.

	Peace,

		Paul G.

Nothing real can be threatened.
    Nothing unreal exists.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".